Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.util
Class ByteToCharUtf7

    java.lang.Object
      com.compoze.collab.util.ByteToCharUtf7

    public class ByteToCharUtf7

extends Object

Nested Class Summary
`static class` | `ByteToCharUtf7.ConversionBufferFullException`
`static class` | `ByteToCharUtf7.MalformedInputException` Thrown to indicate that the input was not valid UTF-7.

Constructor Summary
`ByteToCharUtf7()` Constructs a ByteToCharUtf7.

Method Summary
`int` | `convert(byte[] yBytes, int iByteStart, int iByteEnd, char[] cChars, int iCharStart, int iCharEnd)`
`char[]` | `convertAll(byte[] bBytes)`
`int` | `flush(char[] cChars, int iOff, int iLen)` Add any leftover characters to the output buffer.
`String` | `getCharacterEncoding()`
`int` | `getMaxCharsPerByte()`
`static void` | `main(String[] args)`
`int` | `nextByteIndex()`
`int` | `nextCharIndex()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteToCharUtf7

    public ByteToCharUtf7()

  Constructs a ByteToCharUtf7.

Method Detail

### getCharacterEncoding

    public String getCharacterEncoding()

### flush

    public int flush(char[] cChars,
                     int iOff,
                     int iLen)
              throws ByteToCharUtf7.ConversionBufferFullException

  Add any leftover characters to the output buffer.

  Parameters
    `cChars` - the output buffer
    `iOff` - the offset in cChars to flush to
    `iLen` - the length of cChars to use
  Returns
    the number of characters added to cChars
  Throws
    `ByteToCharUtf7.ConversionBufferFullException`

### reset

    public void reset()

### convert

    public int convert(byte[] yBytes,
                       int iByteStart,
                       int iByteEnd,
                       char[] cChars,
                       int iCharStart,
                       int iCharEnd)
                throws ByteToCharUtf7.ConversionBufferFullException,
                       ByteToCharUtf7.MalformedInputException

  Throws
    `ByteToCharUtf7.ConversionBufferFullException`
    `ByteToCharUtf7.MalformedInputException`

### getMaxCharsPerByte

    public int getMaxCharsPerByte()

### convertAll

    public char[] convertAll(byte[] bBytes)
                      throws ByteToCharUtf7.MalformedInputException

  Throws
    `ByteToCharUtf7.MalformedInputException`

### nextByteIndex

    public int nextByteIndex()

### nextCharIndex

    public int nextCharIndex()

### main

    public static void main(String[] args)
                     throws UnsupportedEncodingException,
                            CharConversionException

  Throws
    `UnsupportedEncodingException`
    `CharConversionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved